Bug 22245 - [G45 64bit] Mesa demos/spriteblast failed
[G45 64bit] Mesa demos/spriteblast failed
Status: VERIFIED FIXED
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965
git
x86-64 (AMD64) Linux (All)
: medium normal
Assigned To: Ian Romanick
Xorg Project Team
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-11 19:51 UTC by Yifei Chen
Modified: 2010-03-08 18:53 UTC (History)
1 user (show)

See Also:


Attachments
screenshot of spriteblast (3.34 KB, image/png)
2009-06-15 01:47 UTC, Yifei Chen
Details
screenshot of spriteblast with software rendering (66.00 KB, image/png)
2009-06-15 01:48 UTC, Yifei Chen
Details
Xorg.0.log (24.63 KB, text/x-log)
2009-06-15 02:10 UTC, Yifei Chen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yifei Chen 2009-06-11 19:51:45 UTC
Mesa demos/spriteblast failed. when we run mesa/demos/spriteblast, those blast "GL" sprite are all missing. see attachment for screeshot.

tested on:
OSD:            Fedora release 8 (Werewolf)
Arch:		x86_64
Libdrm:		(master)3d4bfe8c893d016ef43d1ebf28e4607aa1f540a4
Mesa:		(mesa_7_5_branch)cfff2a6189b38f1ee8c8ca204e223574a5abf760
Xserver:		(server-1.6-branch)5cd5a01259ba349f1868ca4af04207cf120d69e4
Xf86_video_intel:		(master)66ceedc0cc123e5c9f85f708b2e56d943f00e4b9
Kernel:     (for-linus)0e7ddf7eeeef5aea85412120539ab5369577faeb
Comment 1 Gordon Jin 2009-06-12 10:29:46 UTC
This seems like bug#16931. Can you check if INTEL_STRICT_CONFORMANCE is set?
Comment 2 Yifei Chen 2009-06-15 01:17:53 UTC
INTEL_STRICT_CONFORMANCE is not set, if INTEL_STRICT_CONFORMANCE is set, spriteblast works fine.
Comment 3 Yifei Chen 2009-06-15 01:47:33 UTC
Created attachment 26797 [details]
screenshot  of spriteblast
Comment 4 Yifei Chen 2009-06-15 01:48:47 UTC
Created attachment 26798 [details]
screenshot  of spriteblast with software rendering
Comment 5 Yifei Chen 2009-06-15 02:10:30 UTC
Created attachment 26801 [details]
Xorg.0.log
Comment 6 Ian Romanick 2009-06-15 09:47:08 UTC
This appears to have broken since the Q1 release.  It works fine with my distro's Mesa 7.4.1 (with or without INTEL_STRICT_CONFORMANCE), but it fails on both mesa_7_5_branch and master.
Comment 7 ajax at nwnk dot net 2009-08-24 12:32:25 UTC
Mass version move, cvs -> git
Comment 8 Eric Anholt 2010-03-08 14:26:33 UTC
commit bc632d04370566c1156cbd0345fe303834f0b910
Author: Eric Anholt <eric@anholt.net>
Date:   Mon Mar 8 12:12:31 2010 -0800

    i965: Fix up the handling of point sprite coordinate replacement.
    
    The code was walking over the regs of pairs of attributes and checking
    whether the attribute with a given reg index had point sprite enabled.
    So the point sprite setup code was rarely even getting executed.
    Instead, we need to determine which channels of a reg need point
    sprite coordinate replacement.  In addition, it was multiplying the
    attribute by 1/w, when it's supposed to cover (0, 1) in each direction
    regardless of w, and it wasn't filling in the Z and W components of
    the texcoord as specified.
    
    Fixes piglit point-sprite and the spriteblast demo.  Bug #24431, #22245.
Comment 9 fangxun 2010-03-08 18:35:18 UTC
It works fine. Verified with this commit.
Comment 10 Gordon Jin 2010-03-08 18:53:27 UTC
This commit is on master only. Eric, how about putting it into 7.8?